{{/*
  Check if we're on the search or archives page.
  These render different header items than regular pages.
  Note: Hugo functions return strings ("true" or "false"), not actual booleans.
*/}}
{{- $isSearchPath := partial "functions/is-versioned-path-match" (dict "path" .RelPermalink "pattern" "/search/") -}}
{{- $isArchivesPath := partial "functions/is-versioned-path-match" (dict "path" .RelPermalink "pattern" "/archives/") -}}

{{- $mobileNavClass := "" -}}
{{- if or (.IsHome) (eq $isSearchPath "true") (eq $isArchivesPath "true") -}}
  {{/* Add a class for pages with fewer items in the mobile nav */}}
  {{/* We need this to set the height of the mobile header nav correctly. */}}
  {{- $mobileNavClass = "mobile-header-short" -}}
{{- end -}}

<a href="#skipTarget" class="gl-sr-only skip-link">{{ T "header.skipToMainContent" }}</a>

<a class="header-logo gl-flex lg:gl-mr-5" href="{{ relURL "" }}">
  <img src="{{ relURL "" }}gitlab-logo-header.svg" alt="GitLab documentation home" class="logo">
  <span class="border-light gl-ml-3 gl-pl-3 gl-py-1 gl-border-0 gl-border-l gl-border-solid gl-border-gray-100 gl-align-middle gl-text-white">{{ T "header.docs" }}</span>
</a>
<button class="lg:gl-hidden gl-mt-5 gl-border-0 navbar-toggle" aria-label="Toggle navbar" data-toggle="collapse" data-target=".header-right"></button>

<div class="mobile-header gl-w-full gl-text-base {{ $mobileNavClass }}">
  <div class="header-right collapse md:gl-mt-3 lg:gl-mt-0">
    {{ if and (not .IsHome) (eq $isSearchPath "false") }}
      {{ if or (eq (getenv "SEARCH_BACKEND") "elastic") (eq (getenv "SEARCH_BACKEND") "")}}
        <div class="js-elastic-search-form gl-spinner-container">
          <span role="status" aria-label="Loading" class="gl-ml-3 gl-align-text-bottom! gl-spinner gl-spinner-light gl-spinner-sm"></span>
        </div>
      {{ else }}
        <!-- Pagefind search for archived versions of Doc site -->
        <div class="js-pagefind-search-form gl-spinner-container">
          <span role="status" aria-label="Loading" class="gl-spinner gl-spinner-light gl-spinner-md"></span>
        </div>
      {{ end }}
    {{ end }}

    <div class="gl-flex gl-flex-col lg:gl-flex-row lg:gl-items-center gl-mb-0">
      <a class="!gl-text-white gl-mr-5 gl-w-fit md:gl-mt-4 lg:gl-mt-0" href="https://about.gitlab.com/releases/categories/releases/" target="_blank"  rel="noopener noreferrer">{{ T "header.whatsNew" }}</a>

      {{ if (eq $isArchivesPath "false") }}
        <div data-vue-app="versions-menu"></div>
      {{ end }}

      {{ $freeTrialUrl := "https://gitlab.com/-/trial_registrations/new?glm_source=docs.gitlab.com&amp;glm_content=navigation-cta-docs" }}
        {{ if .File }}
          {{ if hasPrefix .File.Path "omnibus/" }}
            {{ $freeTrialUrl = "https://about.gitlab.com/free-trial/?hosted=self-managed" }}
          {{ end }}
        {{ end }}
        <a class="cta-button gl-my-3 lg:gl-my-0" href="{{ $freeTrialUrl }}" target="_blank" rel="noopener noreferrer" role="button">
          {{ T "header.freeTrial" }}
        </a>
    </div>
  </div>
</div>
